<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
global $imgurl;
$action = $_GET['action'] ? $_GET['action'] : 'null' ;
$isspace = $fsetting['plus_blog'];
include "header.php";
?>
<SCRIPT LANGUAGE="JavaScript">
<!--
	var getFFVersion=navigator.userAgent.substring(navigator.userAgent.indexOf("Firefox")).split("/")[1]
	//extra height in px to add to iframe in FireFox 1.0+ browsers
	var FFextraHeight=getFFVersion>=0.1? 16 : 0 

	function dyniframesize(iframename) {
	   var pTar = null;
	   if (document.getElementById){
		 pTar = document.getElementById(iframename);
	   }
	   else{
		 eval('pTar = ' + iframename + ';');
	   }
	   if (pTar && !window.opera){
		 //begin resizing iframe
		 pTar.style.display="block"
		
		 if (pTar.contentDocument && pTar.contentDocument.body.offsetHeight){
		   //ns6 syntax
		   pTar.height = pTar.contentDocument.body.offsetHeight+FFextraHeight; 
		 }
		 else if (pTar.Document && pTar.Document.body.scrollHeight){
		   //ie5+ syntax
		   pTar.height = pTar.Document.body.scrollHeight;
		 }
	   }

	}
	var __old = 'userIfr1';
	function clickUser(o,url){
		
		if (getObj(__old)) getObj(__old).className="user_tabgroup_on";	
		if (!getObj('userIfr')) return;
		getObj('userIfr').src = url;
		getObj(o).className="user_tabgroup";
		__old = o;
		
	}
	
	function loadIfr(){
		var __action = '<?=$action?>';
		switch (__action) {
			case 'sms':
				clickUser('userIfr5','usersms.php');
			break;
			case 'inbox':
				clickUser('userIfr5','usersms.php?action='+__action);
			break;
			case 'mymodify':
				clickUser('userIfr2','mymodify.php');
			break;
			case 'mymodify1':
				clickUser('userIfr3','mymodify.php?t=1');
			break;
			case 'mymodify2':
				clickUser('userIfr4','mymodify.php?t=2');
			break;
			case 'friendlist':
				clickUser('userIfr6','friendlist.php');
			break;
			case 'favlist':
				clickUser('userIfr7','favlist.php');
			break;
			case 'myfile':
				clickUser('userIfr8','myfile.php');
			break;
			case 'myask':
				clickUser('userIfr9','myask.php');
			break;
		}
	}

//-->
</SCRIPT>

<div class="mainbox">

	<div class="notice"><span><a href="<?=$fsetting['forumurl']?>"><b><?=$fsetting['forumname']?></b></a> &raquo; <?=$membername?><?=$lang['know.strinfo26']?></span>&nbsp;</div>
	<div class="notice" style=" background:#F4FCEE;">
		<span style="color:#444">
			<?=$lang['know.strinfo27']?><b class="green"><?=$membername?></b><?=$lang['know.strinfo28']?>
			<?
				if( $isspace == 1 ){
					print "<a href=\"space.php?UserID_".$userid.".index.html\" title=\"".$lang['know.strinfo29'].$membername.$lang['know.strinfo30']."\" target=\"_blank\">".$lang['know.strinfo31']."</a>";
				}
			?>
		</span>&nbsp;
	</div>
	<div id="nav_top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td id="user_left_td">
				<!---##########################左边样式部分##########################--->
					<div id="user_left">
						<div id="user_info">
						<span class="username"><?=$username?></span>
						<span style="align:center"><?=$user_Face?></span>
						<span><?=$lang['tpl.myct.str4']?><?=$user_Title?></span>
						<span><?=$lang['tpl.myct.str5']?><?=$user_Group?></span>
						<span><?=$lang['tpl.myct.str6']?><?=$user_Wealth?></span>
						<span><?=$lang['tpl.myct.str7']?><?=$user_EP?></span>
						<span><?=$lang['tpl.myct.str8']?><?=$user_CP?></span>
						<span><?=$lang['tpl.myct.str9']?><?=$user_Money?></span>
						<span><?=$lang['tpl.myct.str10']?><?=$user_Ticket?></span>
						<span><?=$lang['tpl.myct.str11']?><?=$user_IsBest?></span>
						<span><?=$lang['tpl.myct.str12']?><?=$user_Article?></span>
						<span><?=$lang['tpl.myct.str14']?><?=$user_Logins?></span>
						<span><?=$lang['tpl.myct.str13']?><?=gmdate("Y{$lang['tpl.mymo.str29']}m{$lang['tpl.mymo.str29m']}d{$lang['tpl.mymo.str29d']}",$user_AddDate+getUserTimeZoneOffset())?></span>
						<span><?=$UserTicket?></span>
						<span>
						   <table border="0" cellpadding="0" cellspacing="0" width="100%">
							   <tr>
								   <td>
									   <table border="0" cellpadding="0" bgcolor="#6cc543" cellspacing="1" width="100%">
										   <tr>
											   <td align="left" bgcolor="#ffffff" style="height:8px;">
												   <img border="0" src="images/usercenter_tools_leftbg.gif" height="13" width="<?=round($countALLAccomplish/$countALL*100)?>%">
											   </td>
										   </tr>
									   </table>
								   </td>
								   <td>&nbsp;&nbsp;<?=$lang['know.strinfo32'].round($countALLAccomplish/$countALL*100)?>%</td>
							   </tr>
						   </table>

						  
						</span>
						</div>
					</div>
				<!---########################## end 左边样式部分##########################--->
				</td>
				<td id="user_right_td">
				<!---##########################右边样式部分##########################--->
					<div id="user_right">
						<div id="tabtitle">
							<div id="user_topic_bot">
								<p class="user_tabgroup" id="userIfr1" onclick="clickUser(this.id,'usermanager.php');" style="cursor:pointer;"><?=$lang['hometitle']?></p>
								<p class="user_tabgroup_on" id="userIfr2" onclick="clickUser(this.id,'mymodify.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str2']?></p>
								<p class="user_tabgroup_on" id="userIfr3" onclick="clickUser(this.id,'mymodify.php?t=1');" style="cursor:pointer;"><?=$lang['tpl.navm.str3']?></p>
								<p class="user_tabgroup_on" id="userIfr4" onclick="clickUser(this.id,'mymodify.php?t=2');" style="cursor:pointer;"><?=$lang['tpl.navm.str4']?></p>
								<p class="user_tabgroup_on" id="userIfr5" onclick="clickUser(this.id,'usersms.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str5']?></p>
								<p class="user_tabgroup_on" id="userIfr6" onclick="clickUser(this.id,'friendlist.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str6']?></p>
								<p class="user_tabgroup_on" id="userIfr7" onclick="clickUser(this.id,'favlist.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str7']?></p>
								<p class="user_tabgroup_on" id="userIfr8" onclick="clickUser(this.id,'myfile.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str8']?></p>
								<p class="user_tabgroup_on" id="userIfr9" onclick="clickUser(this.id,'myask.php');" style="cursor:pointer;"><?=$lang['tpl.navm.str9']?></p>
							<div style="clear:both;">
							</div>
							</div>
							<div id="topicbody">
							<span>
								<div class="user_nav_topic">
								<iframe id="userIfr" name="userIfr" src="usermanager.php" onload="dyniframesize(this.id)"  marginheight="0" marginwidth="0" frameborder="0" border="0"   width="100%" height="500" scrolling="no" ></iframe>
								</div>
							</span>
							</div>
						</div>
					</div>
				<!---########################## end 右边样式部分##########################--->
				</td>
			<tr>
		</table>
	</div>
</div>
<SCRIPT LANGUAGE="JavaScript">
	loadIfr();
</SCRIPT>